<!DOCTYPE html>
<html>
  <head>
    <meta charset="UTF-8">
    <style>
      canvas {
        border: thin solid black;
      }
      #main {
      position: absolute;
      top: 10px;
      left: 10px;
      width: 1320px;
      }
      #tools {
      position: absolute;
      width: 400px;
      top:0px;
      right:0px;
      }
    </style>
    <script src="main.js"></script>
  </head>
  <body>
    <div id="main">
      <canvas id="canvas" width="900" height="900"></canvas>

      <div id="tools">
        <input type="checkbox" data-name="run"> RUN <br/>
        <input type="checkbox" data-name="displayQuads"> Show Quads <br/>
        <input type="checkbox" data-name="displayQuadFill"> Show Quads (Fill) <br />
        <input type="checkbox" data-name="displayBoids"> Show Boids <br />
        <button id="clearDebug">Clear debug</button> <br />

        <input type="number" data-name="boids"></input> Boids <br />
        <input type="number" min="1" data-name="max"></input> Max boids per quad <br />
        <br/>

        Mouse mode:<br/>
        <input type="checkbox" data-name="debug"/> Debug <br/>
        <input type="checkbox" data-name="repulse" /> Repulse <br/>
        <br />
        Boids params:<br/>
        <input type="range" min="0" max="100" step="1" data-name="speed"/> speed
        <input type="range" min="0" max="100" step="1" data-name="SEP"/> separation
        <input type="range" min="0" max="10" step="0.1" data-name="ALI"/> alignment
        <input type="range" min="0" max="5" step="0.1" data-name="COH"/> cohesion


      </div>
    </div>

  </body>
</html>
